<?php

namespace interfaces;

interface workfeed_i extends universal_module_i
{
    public function listEmployees(array $filters = []): array|object;

    public function getEmployee(string $id): object;

    public function listShifts(array $filters = []): array|object;

    public function getShift(string $id): object;

    public function listDepartments(array $filters = []): array|object;
}
